BSL430.NET 1.2.1

Public Attributes | List of all members
RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp Struct Reference

Contains information about a communications driver More...

## Public Attributes
ushort | wPacketLength
| The size of the entire data packet, regardless of the amount of data requested, in bytes More...
ushort | wPacketVersion
| The version of the structure More...
uint | dwServiceMask
| A bit mask indicating which services are implemented by this provider. The SP_SERIALCOMM value is always specified for communications providers, including modem providers More...
uint | dwMaxTxQueue
| The maximum size of the driver's internal output buffer, in bytes. A value of zero indicates that no maximum value is imposed by the serial provider. More...
uint | dwMaxRxQueue
| The maximum size of the driver's internal input buffer, in bytes. A value of zero indicates that no maximum value is imposed by the serial provider More...
BitVector32 | dwMaxBaud
| The maximum allowable baud rate, in bits per second (bps) More...
ProvSubType | dwProvSubType
| The communications-provider type More...
BitVector32 | dwProvCapabilities
| A bit mask indicating the capabilities offered by the provider More...
BitVector32 | dwSettableParams
| The communications parameter that can be changed More...
BitVector32 | dwSettableBaud
| The baud rates that can be used More...
BitVector32 | dwSettableDataStopParity
| The number of data bits that can be set, stop and parity bits in the second half More...
uint | dwCurrentTxQueue
| The size of the driver's internal output buffer, in bytes. A value of zero indicates that the value is unavailable More...
uint | dwCurrentRxQueue
| The size of the driver's internal input buffer, in bytes. A value of zero indicates that the value is unavailable More...
uint | dwProvSpec1
| Any provider-specific data More...
uint | dwProvSpec2
| Any provider-specific data More...
char | wcProvChar
| Any provider-specific data More...

## Detailed Description

Contains information about a communications driver

## Member Data Documentation

## ◆ dwCurrentRxQueue

uint RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwCurrentRxQueue

The size of the driver's internal input buffer, in bytes. A value of zero indicates that the value is unavailable

## ◆ dwCurrentTxQueue

uint RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwCurrentTxQueue

The size of the driver's internal output buffer, in bytes. A value of zero indicates that the value is unavailable

## ◆ dwMaxBaud

BitVector32 RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwMaxBaud

The maximum allowable baud rate, in bits per second (bps)

## ◆ dwMaxRxQueue

uint RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwMaxRxQueue

The maximum size of the driver's internal input buffer, in bytes. A value of zero indicates that no maximum value is imposed by the serial provider

## ◆ dwMaxTxQueue

uint RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwMaxTxQueue

The maximum size of the driver's internal output buffer, in bytes. A value of zero indicates that no maximum value is imposed by the serial provider.

## ◆ dwProvCapabilities

BitVector32 RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwProvCapabilities

A bit mask indicating the capabilities offered by the provider

## ◆ dwProvSpec1

uint RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwProvSpec1

Any provider-specific data

Applications should ignore this member unless they have detailed information about the format of the data required by the provider. Set this member to COMMPROP_INITIALIZED before calling the GetCommProperties function to indicate that the wPacketLength member is already valid

## ◆ dwProvSpec2

uint RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwProvSpec2

Any provider-specific data

Applications should ignore this member unless they have detailed information about the format of the data required by the provider.

## ◆ dwProvSubType

ProvSubType RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwProvSubType

The communications-provider type

## ◆ dwServiceMask

uint RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwServiceMask

A bit mask indicating which services are implemented by this provider. The SP_SERIALCOMM value is always specified for communications providers, including modem providers

## ◆ dwSettableBaud

BitVector32 RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwSettableBaud

The baud rates that can be used

## ◆ dwSettableDataStopParity

BitVector32 RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwSettableDataStopParity

The number of data bits that can be set, stop and parity bits in the second half

## ◆ dwSettableParams

BitVector32 RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.dwSettableParams

The communications parameter that can be changed

## ◆ wcProvChar

char RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.wcProvChar

Any provider-specific data

Applications should ignore this member unless they have detailed information about the format of the data required by the provider.

## ◆ wPacketLength

ushort RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.wPacketLength

The size of the entire data packet, regardless of the amount of data requested, in bytes

## ◆ wPacketVersion

ushort RJCP.IO.Ports.Native.Windows.NativeMethods.CommProp.wPacketVersion

The version of the structure

The documentation for this struct was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Library/serialportstream/2.1.4/src/Native/Windows/NativeMethods.cs